import request from '@/utils/request'

// 查询生产管理列表
export function listOutput(query) {
  return request({
    url: '/pms/output/list',
    method: 'get',
    params: query
  })
}

// 查询生产管理详细
export function getOutput(id) {
  return request({
    url: '/pms/output/' + id,
    method: 'get'
  })
}

// 新增生产管理
export function addOutput(data) {
  return request({
    url: '/pms/output',
    method: 'post',
    data: data
  })
}

// 修改生产管理
export function updateOutput(data) {
  return request({
    url: '/pms/output',
    method: 'put',
    data: data
  })
}

// 删除生产管理
export function delOutput(id) {
  return request({
    url: '/pms/output/' + id,
    method: 'delete'
  })
}


// 生产追踪
export function getOutputTrack(query) {
  return request({
    url: '/pms/quality/outputTrack',
    method: 'get',
    params: query

  })
}

// 生产追踪 详情
export function selectProductionTracking(query) {
  return request({
    url: '/pms/device/selectProductionTracking',
    method: 'get',
    params: query

  })
}
